Nomod
Customers/List Customer

List Customer

gethttps://api.nomod.com/v1/customers

Retrieve a list of all contacts in the system.

curl -X GET 'https://api.nomod.com/v1/customers' \
  -H 'X-API-KEY: $NOMOD_API_KEY' \
  -H 'Content-Type: application/json'

Query parameters

business_namestring
emailstring
first_namestring
idstring
last_namestring
pageinteger

Page number

page_sizeinteger

Number of results per page

searchstring

Search for first name, last name, email

Responses

Example response

[
  {
    "count": 0,
    "next": "https://example.com",
    "previous": "https://example.com",
    "results": [
      {
        "id": "00000000-0000-0000-0000-000000000000",
        "created": "2026-01-01T00:00:00Z",
        "first_name": "string",
        "last_name": "string",
        "business_name": "string",
        "job_title": "string",
        "province": 0,
        "city": "string",
        "street": "string",
        "zip_code": "string",
        "country": "string",
        "email": "string",
        "phone_number": "string"
      }
    ]
  }
]